package ro.ieval.unical;
import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;


public class EventAdapter extends ArrayAdapter<EventRowContainer> {
	private final EventRowContainer[] values;
	private final Context context;
	public EventAdapter(Context context,EventRowContainer[] values) {
		super(context,R.layout.event_row_layout,values);
		this.context=context;
		this.values=values;
	}
	
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
	    LayoutInflater inflater = (LayoutInflater) context
	        .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	    View rowView = inflater.inflate(R.layout.event_row_layout, parent, false);
	    TextView title = (TextView) rowView.findViewById(R.id.smalleventtitle);
	    TextView dstart = (TextView) rowView.findViewById(R.id.smalldatestart);
	    TextView dend = (TextView) rowView.findViewById(R.id.smalldateend);
	    ImageView header = (ImageView) rowView.findViewById(R.id.rowHeader);
	    header.setBackgroundColor(Color.CYAN);
	    title.setText(values[position].name);
	    dstart.setText(values[position].dtstart.toString());
	    dend.setText(values[position].dtend.toString());
	    
	    return rowView;
	 }
}
